﻿/*------------------------------
-- 사용목록 등록
------------------------------*/
$(document).ready(function () {
	/* 전역 변수 등록 */
	var _AddChatHeight = 30;
	var _ChatLayerCount = 0;
	var _ChatLayerView = true;

	/* 채팅창 최초 설정 */
	// 숨김여부
	if (getCookie('_ChatLayerView') != '') {
		var ChatLayerView = Boolean(getCookie('_ChatLayerView'));
		if (ChatLayerView == true) {
			$('#ChatLayer').hide();
			_ChatLayerView = chatDisplay(ChatLayerView);
		}
	}

	// 높이여부
	if (getCookie('_ChatLayerCount') != '') {
		var ChatLayerCount = getCookie('_ChatLayerCount');
		for (var i = 0; i < ChatLayerCount; i++) {
			_ChatLayerCount = chatHeight(_ChatLayerCount, _AddChatHeight);
		}
	}

	/* 이벤트 등록 */
	// 채팅창 보이기 버튼
	$('#_view').click(function () {
		$('#ChatLayer').slideToggle(600, function () {
			_ChatLayerView = chatDisplay(_ChatLayerView);
		})
	});

	// 채팅장 높이조절 버튼
	$('#_resize').click(function () {
		_ChatLayerCount = chatHeight(_ChatLayerCount, _AddChatHeight);
	});
});

/*------------------------------
-- 채팅창 설정 함수
------------------------------*/
function chatDisplay(_ChatLayerView) {
	var _ContentPaddingBottom = ($('#ContentLayer').css('padding-bottom').split('px'))[0];
	var _ChatLayerHeight = ($('#ChatLayer').css('height').split('px'))[0];

	if (_ChatLayerView == true) {
		_ChatLayerView = false;
		setCookie('_ChatLayerView', true);
		/*
		$('._slash').css('display', 'none');
		$('._resize').css('display', 'none');
		*/
		$('._sideBtn').css('display', 'none');

		$('#_view').text('보이기');
		$('#ContentLayer').css('padding-bottom', (
			parseInt(_ContentPaddingBottom, 10) -
			parseInt(_ChatLayerHeight, 10)
			) + 'px'
		);
	}
	else {
		_ChatLayerView = true;
		setCookie('_ChatLayerView', '');
		/*
		$('._slash').css('display', 'inline');
		$('._resize').css('display', 'inline');
		*/
		$('._sideBtn').css('display', 'inline');

		$('#_view').text('감추기');
		$('#ContentLayer').css('padding-bottom', (
			parseInt(_ContentPaddingBottom, 10) +
			parseInt(_ChatLayerHeight, 10)
			) + 'px'
		);
	}
	
	return Boolean(_ChatLayerView);
}

function chatHeight(_ChatLayerCount, _AddChatHeight) {
	_ChatLayerCount++;

	var _ContentPaddingBottom = ($('#ContentLayer').css('padding-bottom').split('px'))[0];
	var _ChatLayerHeight = ($('#ChatLayer').css('height').split('px'))[0];

	if (0 < _ChatLayerCount && _ChatLayerCount < 3) {
		$('#ContentLayer').css('padding-bottom', (
			parseInt(_ContentPaddingBottom, 10) + _AddChatHeight
			) + 'px'
		);

		$('#ChatLayer').css('height', (
			parseInt(_ChatLayerHeight, 10) + _AddChatHeight
			) + 'px'
		);
	}
	else {
		_ChatLayerCount = 0;
		$('#ContentLayer').css('padding-bottom', '210px');
		$('#ChatLayer').css('height', '115px');
	}

	setCookie('_ChatLayerCount', _ChatLayerCount);
	return _ChatLayerCount;
}