﻿/*------------------------------
-- 사용목록 등록
------------------------------*/
$(document).ready(function () {
	/* 전역 변수 등록 */
	var _BottomMenuSheet = '#BottomMenuSheet';
	var _ContentSheet = '#ContentSheet';
	var _ContentSheetTopInterval = 120;

	/*------------------------------
	-- 관련글 위치 / 카테고리 fix
	-- script by 유우렌
	-- http://yuuren.tistory.com/
	------------------------------*/
	//<!-- 유우렌
	$(".another_category").each(function () {
		var obj = $(this).parents("#ContentContain").find(".articleOthers");
		var title = $(this).find("h4").html();
		obj.prepend("<h4>" + title + "</h4>");
		$(this).find("tr").each(function () {
			var articleList, articleDate, content;
			articleList = $(this).find("th").html();
			articleDate = $(this).find("td").text();
			content = "<li><span class='articleTitle'>" + articleList + "</span>";
			content += "<span class='articleDate'>" + articleDate + "</span><div class='clear'></div></li>"
			obj.find(".articleList").append(content);
		});
		$(this).remove();
	});

	$("#category ul li ul li").addClass("mid_node");
	$("#category ul li ul li a").addClass("categoryNode1");
	$("#category ul li ul li ul").addClass("last_node_parent");
	$("#category ul li ul li ul li").removeClass("mid_node");
	$("#category ul li ul li ul li").addClass("last_node");
	$("#category ul li ul li ul li a").removeClass("categoryNode1");
	$("#category ul li ul li ul li a").addClass("categoryNode2");
	$("#category .mid_node").each(function () {
		var list = $(this).find("ul"), parentNode = $(this).find(".categoryNode1");
		if (list.length != 0) {
			$(this).addClass("hasChildren");
			parentNode.after("<span class='openBtn'>&nbsp;</span>");

			var treeBtn = $(this).find(".openBtn");
			var obj = new Array(parentNode, treeBtn);
			for (var i = 0; i < 2; i++) {
				obj[i].mouseenter(function () {
					$(this).parent().addClass("active");
				}).mouseleave(function () {
					$(this).parent().removeClass("active");
				});
			}

			treeBtn.click(function () {
				list.slideToggle(400);
			});
		}
	});

	$("#category .categoryNode2").each(function () {
		$(this).prepend("<span class='lastNode'>&nbsp;</span>");
	});

	var num = 1;
	$("#category .last_node_parent").each(function () {
		$(this).attr("id", "categoryIndex" + num);
		num++;
	});
	// End -->

	/* 최초 Display 설정 */
	// MenuLayer
	if (getCookie('_MenuLayerView') != '') {
		if (getCookie('_MenuLayerView') == 'true') {
			$('#MenuLayer').hide();
		}
	}

	// NewestLayerView
	if (getCookie('_NewestLayerView') != '') {
		if (getCookie('_NewestLayerView') == 'display') {
			$('#NewestLayer').show();
		}
	}

	// WebAppLayer
	if (getCookie('_WebAppLayerView') != '') {
		if (getCookie('_WebAppLayerView') == 'display') {
			$('#WebappLayer').show();
		}
	}

	// RssLayer
	if (getCookie('_RssLayerView') != '') {
		if (getCookie('_RssLayerView') == 'display') {
			//settingfeeds();
			$('#RssLayer').show();
		}
	}

	/*----------
	-- Icons
	----------*/
	/* MenuIcon */
	$('#MenuIcon').click(function () {
		LayerDisplay('#MenuLayer', '_MenuLayerView');
	});

	/* NewestIcon */
	$('#NewestIcon').click(function () {
		LayerDisplay('#NewestLayer', '_NewestLayerView');
	});

	/* WebAppIcon */
	$('#AppIcon').click(function () {
		LayerDisplay('#WebappLayer', '_WebAppLayerView');
	});

	/* RssIcon */
	$('#RssIcon').click(function () {
		//settingfeeds();
		LayerDisplay('#RssLayer', '_RssLayerView');
	});

	/* StarIcon */
	$('#StarIcon').click(function () {
		$('#BlogInfoLayer').slideToggle(600);
	});

	$('#BlogInfoExitBtn').click(function () {
		$('#BlogInfoLayer').slideToggle(600);
	});

	/* Archive button */
	$('.archiveBtn').click(function () {
		//settingfeeds();
		LayerDisplay('.archiveLayer', '');
	});

	/* Calendar button */
	$('.calendarBtn').click(function () {
		//settingfeeds();
		LayerDisplay('.calendarLayer', '');
	});
});

/*------------------------------
-- Layer Toggle 및 상태 저장
------------------------------*/
function LayerDisplay(TargetLayer, SetCookieName) {
	$(TargetLayer).slideToggle(600, function () {
		if ($(TargetLayer).css('display') == 'none' &&
			SetCookieName != '')
			setCookie(SetCookieName, 'true');
		else
			setCookie(SetCookieName, 'display');
	});
}

/*------------------------------
-- Rss feed
-- script by 유우렌
-- http://yuuren.tistory.com/
------------------------------*/
//<!-- 유우렌
google.load("feeds", "1");
function settingfeeds(link) {
	var obj = $("#feedList");
	var loc, author, rss;
	if (typeof (link) != "undefined") {
		if (link != "default") {
			obj.html(''); obj.addClass("loading");
			loc = link;
		} else {
			return false;
		}
	} else {
		var linkLength = $("#linkList option").length - 1;
		loc = $("#linkList option").eq(Math.ceil(Math.random() * linkLength)).val();
	}

	if (loc.indexOf("naver") != -1) {
		author = loc.split("/")[3];
		rss = "http://blog.rss.naver.com/" + author + ".xml";
	}
	else if (loc.indexOf("egloos.com") != -1) {
		author = loc.substring(7, loc.indexOf(".egloos.com"));
		rss = "http://rss.egloos.com/blog/" + author;
	}
	else {
		if (loc.substr(loc.length - 1, 1).indexOf("/") != -1) {
			rss = loc + "rss";
		}
		else {
			rss = loc + "/rss";
		}
	}
	var feeds = new google.feeds.Feed(rss);
	feeds.setNumEntries(3);
	feeds.load(loadfeeds);
}

function loadfeeds(result) {
	var obj = $("#feedList"), feeds = result.feed.entries;
	if (!result.error) {
		var author, link, loc, title, desc, date, img, article, header, content, imgError = root + "images/guest.gif";
		author = result.feed.title, link = result.feed.link, img = link + "index.gif";
		header = "<header class='feedInfo'><table><tr><td><img onerror=this.src='" + imgError + "'; src='" + img + "' /></td>";
		header += "<td><a class='author' href='" + link + "' target='_blank'>" + author + "</a><br />";
		header += "<a href='" + link + "toolbar/popup/link/' target='_blank'>이 블로그를 링크</a><a href='/admin/network/followingLink/'>내 링크 관리</a></td></tr></table></header>"
		obj.html(header);
		for (var i = 0; i < feeds.length; i++) {
			loc = feeds[i].link, title = feeds[i].title;
			date = feeds[i].publishedDate;
			desc = feeds[i].contentSnippet;
			var time = new Array();
			var str = date.split(" ");

			for (var n = 0; n < 4; n++) {
				time[n] = str[n + 1];
			}

			if (time[1] == "Jan") { time[1] = "01"; }
			else if (time[1] == "Feb") { time[1] = "02"; }
			else if (time[1] == "Mar") { time[1] = "03"; }
			else if (time[1] == "Apr") { time[1] = "04"; }
			else if (time[1] == "May") { time[1] = "05"; }
			else if (time[1] == "Jun") { time[1] = "06"; }
			else if (time[1] == "Jul") { time[1] = "07"; }
			else if (time[1] == "Aug") { time[1] = "08"; }
			else if (time[1] == "Sep") { time[1] = "09"; }
			else if (time[1] == "Oct") { time[1] = "10"; }
			else if (time[1] == "Nov") { time[1] = "11"; }
			else { time[1] = "12"; }
			time[2] = parseInt(time[2]);
			time[4] = parseInt(time[3].substring(0, 2));
			time[5] = time[3].substring(3, 5);
			var boundDay;

			if (time[1] != "02") {
				var endDate = new Array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31),
				boundDay = endDate[parseInt(time[1]) - 1];
			}
			else {
				if (time[2] % 4 == 0 && time[2] % 100 != 0 || time[2] % 400 == 0) {
					boundDay = 29;
				}
				else {
					boundDay = 28;
				}
			}
			if (time[4] >= 8) {
				time[0] = parseInt(time[0]);
				time[4] = time[4] - 8;
				if (time[4] < 10) {
					time[4] = "0" + time[4];
				}
				else {
					time[4] = time[4];
				}
				if (time[0] + 1 > boundDay) {
					time[0] = "01";
					time[1] = parseInt(time[1]);
					if (time[1] > 11) {
						time[2] = time[2] + 1,
						time[1] = "01";
					}
					else if (time[1] < 9) {
						time[1] = "0" + (time[1] + 1);
					}
					else {
						time[1] = time[1] + 1;
					}
				}
				else if (time[0] < 9) {
					time[0] = "0" + (time[0] + 1);
				}
				else {
					time[0] = time[0] + 1;
				}
			}
			else {
				time[4] = time[4] + 16;
			}
			var issuedDate = time[2] + "/" + time[1] + "/" + time[0] + "/ " + time[4] + ":" + time[5];

			content = "<div class='title'><a href='" + loc + "' target='_blank'>" + title + "</a><span class='date'>" + issuedDate + "</span></div>";
			content += "<div class='desc'>" + desc + "</div>";
			article = "<article class='feedContent'>" + content + "</article>";
			obj.append(article);
		}
	} else {
		obj.html("<div class='error'>피드를 불러오기에 실패했습니다.</div>");
	}
	obj.removeClass("loading");
}
// End-->